<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: combust_data_chemtable::chemtable_lookup_from_index Interface Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacecombust__data__chemtable.html">combust_data_chemtable</a></li><li class="navelem"><a class="el" href="interfacecombust__data__chemtable_1_1chemtable__lookup__from__index.html">chemtable_lookup_from_index</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="interfacecombust__data__chemtable_1_1chemtable__lookup__from__index-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">combust_data_chemtable::chemtable_lookup_from_index Interface Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for combust_data_chemtable::chemtable_lookup_from_index:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="interfacecombust__data__chemtable_1_1chemtable__lookup__from__index__coll__graph.png" border="0" usemap="#combust__data__chemtable_1_1chemtable__lookup__from__index_coll__map" alt="Collaboration graph"/></div>
<map name="combust__data__chemtable_1_1chemtable__lookup__from__index_coll__map" id="combust__data__chemtable_1_1chemtable__lookup__from__index_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a99a33acc53051d243bac32cd16d98fab"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacecombust__data__chemtable_1_1chemtable__lookup__from__index.html#a99a33acc53051d243bac32cd16d98fab">chemtable_lookup_from_index_r0</a> (<a class="el" href="namespacecombust__data__chemtable.html#aeb02d6d57a07786a75bd8871f259c76a">table</a>, R, ind, i, j, k, overwriteCoordinate, overwriteValue)</td></tr>
<tr class="separator:a99a33acc53051d243bac32cd16d98fab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a629d42de5b582bcb66f20461ba8959a7"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacecombust__data__chemtable_1_1chemtable__lookup__from__index.html#a629d42de5b582bcb66f20461ba8959a7">chemtable_lookup_from_index_r1</a> (<a class="el" href="namespacecombust__data__chemtable.html#aeb02d6d57a07786a75bd8871f259c76a">table</a>, R, ind, i, j, k, overwriteCoordinate, overwriteValue)</td></tr>
<tr class="separator:a629d42de5b582bcb66f20461ba8959a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae295f961fd8694fa07357d5b3915484"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacecombust__data__chemtable_1_1chemtable__lookup__from__index.html#aae295f961fd8694fa07357d5b3915484">chemtable_lookup_from_index_r3</a> (<a class="el" href="namespacecombust__data__chemtable.html#aeb02d6d57a07786a75bd8871f259c76a">table</a>, R, ind, overwriteCoordinate, overwriteValue)</td></tr>
<tr class="separator:aae295f961fd8694fa07357d5b3915484"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a087ae65860fd1dea4437d46d3f968402"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacecombust__data__chemtable_1_1chemtable__lookup__from__index.html#a087ae65860fd1dea4437d46d3f968402">chemtable_lookup_from_index_r4</a> (<a class="el" href="namespacecombust__data__chemtable.html#aeb02d6d57a07786a75bd8871f259c76a">table</a>, R, ind, overwriteCoordinate, overwriteValue)</td></tr>
<tr class="separator:a087ae65860fd1dea4437d46d3f968402"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function/Subroutine Documentation</h2>
<a id="a99a33acc53051d243bac32cd16d98fab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99a33acc53051d243bac32cd16d98fab">&#9670;&nbsp;</a></span>chemtable_lookup_from_index_r0()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combust_data_chemtable::chemtable_lookup_from_index::chemtable_lookup_from_index_r0 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structchemtable__defs_1_1table__t.html">table_t</a>), intent(in)&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(inout)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>ind</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>j</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), dimension(:), optional&#160;</td>
          <td class="paramname"><em>overwriteCoordinate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:), optional&#160;</td>
          <td class="paramname"><em>overwriteValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a629d42de5b582bcb66f20461ba8959a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a629d42de5b582bcb66f20461ba8959a7">&#9670;&nbsp;</a></span>chemtable_lookup_from_index_r1()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combust_data_chemtable::chemtable_lookup_from_index::chemtable_lookup_from_index_r1 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structchemtable__defs_1_1table__t.html">table_t</a>), intent(in)&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:), intent(inout)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(:), intent(in)&#160;</td>
          <td class="paramname"><em>ind</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>j</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), dimension(:), optional&#160;</td>
          <td class="paramname"><em>overwriteCoordinate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:), optional&#160;</td>
          <td class="paramname"><em>overwriteValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aae295f961fd8694fa07357d5b3915484"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae295f961fd8694fa07357d5b3915484">&#9670;&nbsp;</a></span>chemtable_lookup_from_index_r3()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combust_data_chemtable::chemtable_lookup_from_index::chemtable_lookup_from_index_r3 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structchemtable__defs_1_1table__t.html">table_t</a>), intent(in)&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), intent(inout)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>ind</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), dimension(:), optional&#160;</td>
          <td class="paramname"><em>overwriteCoordinate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:,:), optional&#160;</td>
          <td class="paramname"><em>overwriteValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a087ae65860fd1dea4437d46d3f968402"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a087ae65860fd1dea4437d46d3f968402">&#9670;&nbsp;</a></span>chemtable_lookup_from_index_r4()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combust_data_chemtable::chemtable_lookup_from_index::chemtable_lookup_from_index_r4 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structchemtable__defs_1_1table__t.html">table_t</a>), intent(in)&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:,:), intent(inout)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(:), intent(in)&#160;</td>
          <td class="paramname"><em>ind</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), dimension(:), optional&#160;</td>
          <td class="paramname"><em>overwriteCoordinate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:,:), optional&#160;</td>
          <td class="paramname"><em>overwriteValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this interface was generated from the following file:<ul>
<li><a class="el" href="thermofluid_2chemtable__v2_8f90.html">thermofluid/chemtable_v2.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:50 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
